Bug 1680545 (CVE-2018-20783) - CVE-2018-20783 php: Buffer over-read in PHAR reading functions
Summary: CVE-2018-20783 php: Buffer over-read in PHAR reading functions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-20783
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1709098 1709099 1709100 1709101 1709102
Blocks: 1680558
TreeView+ depends on / blocked
 
Reported: 2019-02-25 10:03 UTC by Dhananjay Arunesh
Modified: 2020-04-28 15:31 UTC (History)
4 users (show)

Fixed In Version: php 5.6.39, php 7.0.33, php 7.1.25, php 7.2.13, php 7.3.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 08:47:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3727 None None None 2019-11-06 10:12:30 UTC
Red Hat Product Errata RHSA-2019:2519 None None None 2019-08-19 08:42:38 UTC
Red Hat Product Errata RHSA-2019:3299 None None None 2019-11-01 13:01:20 UTC
Red Hat Product Errata RHSA-2020:1624 None None None 2020-04-28 15:31:32 UTC

Description Dhananjay Arunesh 2019-02-25 10:03:30 UTC
In PHP before 5.6.39, 7.x before 7.0.33, 7.1.x before 7.1.25, and 7.2.x before 7.2.13, a buffer over-read in PHAR reading functions may allow an attacker to read allocated or unallocated memory past the actual data when trying to parse a .phar file. This is related to phar_parse_pharfile in ext/phar/phar.c.

Reference:
https://bugs.php.net/bug.php?id=77143

Comment 3 Huzaifa S. Sidhpurwala 2019-05-13 04:10:12 UTC
Analysis: 

Essentially an OOB read in the PHAR code, which can be triggered by malicious PHAR files. Obviously the php script needs to allow users (attackers) to upload arbitrary PHAR files and they need to be processed via Phar() function. Impact is PHP crash due to OOB read.

Comment 5 errata-xmlrpc 2019-08-19 08:42:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.4 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS

Via RHSA-2019:2519 https://access.redhat.com/errata/RHSA-2019:2519

Comment 6 Product Security DevOps Team 2019-08-19 08:47:36 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20783

Comment 7 errata-xmlrpc 2019-11-01 13:01:19 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.5 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2019:3299 https://access.redhat.com/errata/RHSA-2019:3299

Comment 8 errata-xmlrpc 2020-04-28 15:31:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:1624 https://access.redhat.com/errata/RHSA-2020:1624


Note You need to log in before you can comment on or make changes to this bug.